# 考勤工具

这是一个基于Electron和Playwright的考勤打卡工具，可以帮助无法使用老版IE的用户实现上下班打卡功能。

## 安装包
`Attendance Tool Setup 1.0.0.exe`

## 功能特点

- 账号密码保存功能
- 自动登录考勤系统
- 一键上班打卡
- 一键下班打卡
- 实时显示打卡状态
- 定时刷新考勤信息

## 技术栈

- Electron: 跨平台桌面应用开发框架
- Playwright: 用于浏览器自动化操作
- Node.js: JavaScript运行环境

## 项目结构

```
attendance-tool/
├── main.js          // Electron主进程
├── renderer.js      // 渲染进程，处理UI交互和打卡操作
├── index.html       // 应用界面
├── icon.ico         // 应用图标
├── package.json     // 项目配置和依赖
└── electron-builder.json  // 打包配置
```

## 安装与运行

### 开发环境

1. 克隆项目到本地
2. 安装依赖
   ```
   npm install
   ```
3. 运行应用
   ```
   npm start
   ```

### 打包应用

打包为便携版本:
```
npm run dist
```

打包为安装版本:
```
npm run dist:installer
```

## 使用说明

1. 启动应用后，在登录界面输入您的考勤系统用户名和密码
2. 如需保存账号密码，勾选"记住账号密码"选项
3. 点击"登录"按钮进入系统
4. 登录成功后，可以看到您的姓名和当前打卡状态
5. 根据需要，点击"上班打卡"或"下班打卡"按钮完成打卡操作
6. 系统会自动更新打卡状态

## 注意事项

- 此工具仅适用于特定考勤系统（http://hy.zhushitrade.cn/groupware）
- 请确保网络连接正常
- 打卡成功后，按钮会自动禁用，防止重复打卡

## 环境要求

- Windows 系统
- Node.js 14.0 或以上

## 许可证

ISC
